Create a new dashboard
curl --request POST \
--url http://0.0.0.0:3000/v1/lovelace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "principal",
"type": "lovelace",
"title": "Principal",
"icon": "mdi:home"
}
'import requests
url = "http://0.0.0.0:3000/v1/lovelace"
payload = {
"name": "principal",
"type": "lovelace",
"title": "Principal",
"icon": "mdi:home"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'principal', type: 'lovelace', title: 'Principal', icon: 'mdi:home'})
};
fetch('http://0.0.0.0:3000/v1/lovelace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "default",
"type": "lovelace",
"title": "Início",
"icon": "mdi:home",
"url": null,
"config": {
"views": []
},
"created_at": "2026-03-17T10:00:00Z",
"updated_at": "2026-03-17T10:00:00Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"error": "Dashboard 'principal' already exists"
}{
"error": "internal_error"
}Dashboards
Create a new dashboard
POST
/
v1
/
lovelace
Create a new dashboard
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ID da organização para contexto (opcional). Quando presente, filtra recursos da org.
Body
application/json
⌘I